Name:TransLink 4
 
Version:1.18.0.36
 
Publisher:TransGuardian
 
The following prerequisites are required:
 
  • Microsoft .NET Framework 4 (x86 and x64) and Update for .NET Framework 4 (KB2468871)
If these components are already installed, you can launch the application now. Otherwise, click the button below to install the prerequisites and run the application.
 
Install
 
TransGuardian Customer Support    ::    ClickOnce and .NET Framework Resources